Subject: [Ietf-message-headers] provisional registration Accept-Datetime header

From: Herbert Van de Sompel <[email-masked]>
Date: Thu, 20 May 2010 08:45:14 -0600

PROVISIONAL MESSAGE HEADER FIELD SUBMISSION TEMPLATE:

    Header field name: Accept-Datetime

    Applicable protocol: http

    Status: provisional

    Author/Change controller: Herbert Van de Sompel,  
[email-masked], Los Alamos National Laboratory, http://public.lanl.gov/herbertv/ 
, Memento Development Group at [email-masked]

    Specification document(s): http://www.mementoweb.org/guide/http/

    Related information:

Van de Sompel, H., Sanderson, R., Nelson, M.L., Balakireva, L.,  
Ainsworth, S., Shankar, H. (2010) An HTTP-Based Versioning Mechanism  
for Linked Data. Proceedings of the 3rd Workshop on Linked Data on the  
Web (LDOW2010).Arxiv preprint. http://arxiv.org/abs/1003.3661

Van de Sompel, H., Sanderson, R., Nelson, M.L., Balakireva, L.,  
Ainsworth, S., Shankar, H. (2010) An HTTP-Based Versioning Mechanism  
for Linked Data. Slide deck. http://www.slideshare.net/hvdsomp/an-httpbased-versioning-mechanism-for-linked-data

Van de Sompel, H., Nelson, M.L., Sanderson, R., Balakireva, L.,  
Ainsworth, S., Shankar, H. (2009) Memento: Time Travel for the Web.  
Arxiv preprint.  http://arxiv.org/abs/0911.1112

Van de Sompel, H., Nelson, M.L., Sanderson, R., Balakireva, L.,  
Ainsworth, S., Shankar, H. (2010) Memento: Updated Technical Details  
(March 2010). Slide deck.  http://www.slideshare.net/hvdsomp/memento-updated-technical-details-february-2010

==
Herbert Van de Sompel
Digital Library Research & Prototyping
Los Alamos National Laboratory, Research Library
http://public.lanl.gov/herbertv/
tel. +1 505 667 1267

---

From: Bjoern Hoehrmann <[email-masked]>
Date: Thu, 20 May 2010 16:58:03 +0200

>    Specification document(s): http://www.mementoweb.org/guide/http/

Per RFC 3864 section 4.2.2 the specification should indicate an email
address "for sending technical comments and discussion of the proposed
message header". Could that be added? I also note that it would be use-
ful if the specification had some definitional sentence ala "The Accept-
Datetime header is a HTTP request-header that ...".
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: Julian Reschke <[email-masked]>
Date: Thu, 20 May 2010 17:11:25 +0200

> Datetime header is a HTTP request-header that ...".

+1

I see slides, guides, examples, but what I couldn't find quickly was the 
actual definition. (I think it would be great to have just the core 
definitions in an IETF document....)

Best regards, Julian

---

From: Herbert van de Sompel <[email-masked]>
Date: Thu, 20 May 2010 09:19:43 -0600

Julian, Bjoern,

Forgive me for the brevity, but I thought I was following the procedure
described in http://tools.ietf.org/html/rfc3864.

=> For a very brief overview of the use of the proposed headers, see
http://tools.ietf.org/html/rfc3864 , section "The Memento Solution, Part 1".

=> The templates list 2 email addresses: my personal one and the
[email-masked] group where tech discussions about the Memento
framework take place.

I hope this helps.

Greetings

Herbert

---

From: Bjoern Hoehrmann <[email-masked]>
Date: Thu, 20 May 2010 17:34:50 +0200

>[email-masked] group where tech discussions about the Memento

You cited http://www.mementoweb.org/guide/http/ as the specification for
the two header fields. I think the specification (not the registration)
should include an email address where comments on the headers could be
sent and it should include a definition for the header fields. Consider
how RFC 2616 defines the 'Allow' header, to pick a random example:

  The Allow entity-header field lists the set of methods supported
  by the resource identified by the Request-URI. The purpose of this
  field is strictly to inform the recipient of valid methods
  associated with the resource. An Allow header field MUST be
  present in a 405 (Method Not Allowed) response.

      Allow   = "Allow" ":" #Method

This defines what kind of header it is, what its purpose is, and what
the syntax for the header field ist. There is no corresponding text in
your specification, it is not clear, for example, whether one can use
other time zones than GMT in the header fields. I am not saying the two
headers cannot pass review without adding the email address and a good
definition, but it would sure be nice to have those.
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: Herbert van de Sompel <[email-masked]>
Date: Thu, 20 May 2010 10:34:53 -0600

Hi all

I added explanations about the headers in:

* http://www.mementoweb.org/guide/quick-start/
* http://www.mementoweb.org/guide/http/

I added the discussion email address to:
* http://www.mementoweb.org/guide/

I hope this helps.

Herbert